src.backend.tests.library_test.Test_Config Class Reference
Inheritance diagram for src.backend.tests.library_test.Test_Config:

## Public Member Functions

def | __init__ (self)
def | open_file (self, root="config.json")

## Detailed Description

## Constructor & Destructor Documentation

## __init__()

def src.backend.tests.library_test.Test_Config.__init__ | ( |  | self | ) |

    Initialize main configuration options.

Reimplemented from src.backend.lib.config.Config.

## Member Function Documentation

## open_file()

def src.backend.tests.library_test.Test_Config.open_file | ( |  | self,
|  |  | root = `"config.json"`
| ) |  |

    Open config.json and reads in configuration options.

Reimplemented from src.backend.lib.config.Config.

The documentation for this class was generated from the following file:

- src/backend/tests/library_test.py